<template>
  <div class="app-container" style="background: #f3f3f3;">
    <div style="padding:20px; background:#fff; ">
      <dw_base ref="base" />
    </div>
    <div style="padding:20px; background:#fff; margin-top:20px;">
      <dw_detail ref="detail" />
    </div>
  </div>
</template>
<script>
import { listSvytopic, getSvytopic, delSvytopic, addSvytopic, updateSvytopic } from "@/api/smartor/svytopic";
import dw_base from "@/smartor/dataobject/dw_svytopic_maint.vue";
import dw_detail from "@/smartor/dataobject/dw_svytopicoption_list.vue";

export default {
  name: "SvytopicMaint",
  dicts: ['sys_yes_no'],
  data() {
    return {
      topicid: null,
    }
  },
  components:
  {
    dw_base: dw_base,
    dw_detail: dw_detail
  },
  created() {

  },
  mounted() {
    const topicId = this.$route.params && this.$route.params.topicId
    //const topicId = 1
    this.$refs["base"].Retrieve(topicId)
    this.$refs["detail"].getList(topicId)
  }
}
</script>